/*
EXECUTE BLOCK
AS
DECLARE VARIABLE CODIGO_SRCV INTEGER;
DECLARE VARIABLE CODIGO_VEICULO INTEGER;
DECLARE VARIABLE CODIGO_HISTORICO INTEGER;
BEGIN
  FOR
    SELECT SRCV.CODIGO
         , SRCV.CODIGOVEICULO
      FROM SETORES_REALIZADOS_CONTROLE_VEI SRCV
      WHERE SRCV.CODIGOULTIMO_HISTORICO IS NOT NULL
      INTO :CODIGO_SRCV,
           :CODIGO_VEICULO
  DO
  BEGIN
    SELECT  max(RH.CODIGO)
      FROM LISTAGEMVEICULOS LV
      INNER JOIN RASTREAMENTO_HISTORICO RH ON RH.CODIGOVEICULO = LV.CODIGOVEICULO AND RH.DATAHORA_GMT = LV.DATAHORA_ULTIMO_HISTORICO
      WHERE LV.CODIGOVEICULO = :CODIGO_VEICULO
        AND LV.REMOVIDO = 'F'
        AND LV.RASTREADOR = 'T'
      INTO :CODIGO_HISTORICO;

    IF (:CODIGO_HISTORICO IS NOT NULL) THEN
    BEGIN
      UPDATE SETORES_REALIZADOS_CONTROLE_VEI
        SET CODIGOULTIMO_HISTORICO = :CODIGO_HISTORICO
        WHERE CODIGO = :CODIGO_SRCV;
    END
  END
END
*/
